import { computed as o, unref as a } from "vue";
import { C as s, s as r, p as l, q as d, w as i } from "./index-9115a619.mjs";
const f = {
  key: "_card",
  name: "Card",
  description: "Basic card",
  icon: "mdiCardBulletedOutline",
  sequence: 21,
  transform: s("el-card", {}, function(e, { config: t, context: h }) {
    e["body-style"] = "height:100%;", t._headerUseSlot ? e["#header"] = r(t, "header") : delete e["#header"], t._footerUseSlot ? e["#footer"] = r(t, "footer") : delete e["#footer"];
  }),
  editor: {
    basic: {
      ui: function(e) {
        return [
          l("shadow", ["always", "never", "hover"]),
          d("header", void 0, {
            "~show": o(() => !a(e)._headerUseSlot)
          }),
          i("_headerUseSlot", "Set header with drag and drop"),
          d("footer", void 0, {
            "~show": o(() => !a(e)._footerUseSlot)
          }),
          i("_footerUseSlot", "Set footer with drag and drop")
        ];
      },
      init: {
        header: "Card default title",
        shadow: "always"
      }
    },
    display: {
      init: {
        style: {
          // margin: '4px 0 4px 0',
          width: "100%"
        }
      }
    }
  }
};
export {
  f as default
};
